package com.rera.mss.repository

import com.rera.mss.model.Instrument
import com.rera.mss.model.User
import org.springframework.data.jpa.repository.JpaRepository

interface InstrumentRepository: JpaRepository<Instrument, Long> {
    fun findInstrumentById (id: Long): Instrument?
    fun findByUser(user: User): MutableSet<Instrument>
    fun existsByGuid(guid: String): Boolean
    fun findByGuid(guid: String): Instrument?
}